CftClub.ru
Клуб специалистов ЦФТ-Банк

15.5
На страницу Пред.  1, 2, 3, 4, 5
 
Ответить на тему    Клуб специалистов ЦФТ-Банк (IBSO) -> Обновления и тестирование
Предыдущая тема :: Следующая тема  
Автор Сообщение
Alkov
Профи
Неподтвержденный


Вступление в Клуб: 23.09.2010
СообщениеПт Ноя 27, 2015 03:44    Ответить с цитатой
Полезность: Нет оценки
mike24 пишет:
Alkov пишет:
Ни у кого на 15.5. проверка на терроризм не тормозит ?

В 6 дополнении исправлена проблема с блокировками.


Да не, я про Retail
Vovidez
Профи
<Центр Финансовых Технологий>


Вступление в Клуб: 27.09.2007
СообщениеСб Фев 20, 2016 12:24   Re: 15.5 Ответить с цитатой
Полезность: Нет оценки
Здравствуйте!

nobel пишет:

цфт рекомендует ставить в порядке выпуска-сначала сама версия,потом по порядку дополнения,потом снова версия и к ней все дополнения.

порой фиг знаешь что цфт сделает в новой версии.могут и не включить в новой версии что включали в дополнении.за 5 лет работы с цфт в плане обновлений/дополнений все что угодно можно ожидать


mike24 пишет:

Таких рекомендаций не встречал, дайте пож-та посмотреть, если они есть у Вас. Всегда считал, что функционал дополнений, выпущенных к версии 15,4 например, включается в версию 15,5 по определению. Да и сам неоднократно накатывал несколько версий подряд без установки промежуточных дополнений.
Может быть уважаемые сотрудники ЦФТ. читающие форум, нас рассудят?


mike24 прав, nobel - нет.

Все, что вошло в Дополнение попадает в следующее Обновление, если оно еще не вышло. Если Обновление вышло, то эти изменения включаются в Дополнение к нему и в следующее Обновление.

Пример: выпущены 15.1, 15.2. Делаем Дополнение к 15.1 - обязательно будет Дополнение к 15.2 и изменения включены в 15.3. Без этого Дополнения не выйдут.

Устанавливать все Дополнения при промежуточных переходах не обязательно. Если переходите с 15.4 на 15.6, достаточно установить 15.5, затем 15.6 + Дополнения к 15.6, при этом обязательно нужно установить те Дополнения к 15.6, пары которых вы устанавливали на 15.5, чтобы восстановить то, что могла затереть версия 15.6. Ведь когда версия выпущена, она больше не пересобирается, а в очередных Дополнениях могут быть объекты, которые были и в Обновлении и в Дополнении.

Реальный пример: У вас на схеме установлена версия 15.5 + Дополнения с 15.5.01 до 15.5.08. Вы переходите на 15.6. Вы обязательно должны после 15.6 установить сразу 15.6.02, т.к. это Дополнение выходило в паре с 15.5.08 и содержит измененные объекты, которые вы обновили установкой 15.5.08, а потом "откатили" путем установки 15.6, например, METH DEPN LIB_RESTR.

При этом не стоит бояться того, что операции конвертации при повторном выполнении что-то сделают не так, т.к. процедура установки учитывает их однократное выполнение.

Резюме: не важно каким способом 2 разные схемы дошли до 16.1. Будь то 15.5 + все Дополнения, затем 15.6 с тремя Дополнениями, а потом уже 16.1. Или это была чистая 15.5+15.6+16.1. Обе схемы где стоит 16.1 будут абсолютно одинаковы. Не верите? Проведите эксперимент... Smile Мы даже учитываем нюансы выполнения конвертаций на прошлой прикладной модели и при необходимости делаем дополнительные конвертации в следующей версии, руководствуясь все той же логикой: как бы ты не шел к 16.1, итоговый результат даже в части прикладных данных должен быть одинаковый.
timochev
Эксперт
Констанс-Банк
Совладелец


Вступление в Клуб: 02.07.2007
СообщениеСб Фев 20, 2016 13:37   Re: 15.5 Ответить с цитатой
Полезность: Нет оценки
Vovidez пишет:
Вы переходите на 15.6. Вы обязательно должны после 15.6 установить сразу 15.6.02, т.к. это Дополнение выходило в паре с 15.5.08 и содержит измененные объекты, которые вы обновили установкой 15.5.08, а потом "откатили" путем установки 15.6

Имеется в виду, что надо установить и 15.6.01, и 15.6.02?
Не понял, почему 15.6.01 можно не устанавливать.
Vovidez
Профи
<Центр Финансовых Технологий>


Вступление в Клуб: 27.09.2007
СообщениеСб Фев 20, 2016 13:57   Re: 15.5 Ответить с цитатой
Полезность: Нет оценки
timochev пишет:
Имеется в виду, что надо установить и 15.6.01, и 15.6.02? Не понял, почему 15.6.01 можно не устанавливать.


См. "Инструкцию по установке.txt" 15.6.02:

Внимание! Этот пакет обновлений можно устанавливать
только на версию:
- сервера Oracle 11.2.0.4, 12.1.0.2
- технологического ядра 7.4.5, но не ниже 7.4.5.4
- прикладной части - 15.6
- при наличии Сервера Приложений Платформы 2 MCA - 2.42.28 и выше

т.е. в логике, описанной ранее, установка 15.6.01 для установки 15.6.02 не требуется, в Дополнениях 15.5.01-15.5.08 изменений METH MAIN_DOCUM LOOK не было...

А вот 15.6.01 поставить, чтобы устранить ошибку в METH MAIN_DOCUM LOOK, нужно, конечно...
timochev
Эксперт
Констанс-Банк
Совладелец


Вступление в Клуб: 02.07.2007
СообщениеСб Фев 20, 2016 14:21   Re: 15.5 Ответить с цитатой
Полезность: Нет оценки
Vovidez пишет:
А вот 15.6.01 поставить, чтобы устранить ошибку в METH MAIN_DOCUM LOOK, нужно, конечно...

В какой момент Вы предлагаете ставить 15.6.01?
Ставить после 15.6.02 вроде как неправильно - возможны проблемы.
Значит надо ставить сначала 15.6.01, а затем 15.6.02.
Vovidez
Профи
<Центр Финансовых Технологий>


Вступление в Клуб: 27.09.2007
СообщениеСб Фев 20, 2016 16:44   Re: 15.5 Ответить с цитатой
Полезность: 1
timochev пишет:
В какой момент Вы предлагаете ставить 15.6.01?

В любой, точнее тогда, когда это нужно в первую очередь для работы Системы в банке. Конечно, руководствуясь указаниями в инструкции по установке.

timochev пишет:
Ставить после 15.6.02 вроде как неправильно - возможны проблемы.
Значит надо ставить сначала 15.6.01, а затем 15.6.02.

Откуда такие выводы? В чем неправильность? Какие возможны проблемы, если нет ни прямой, ни функцинальной зависимости между Дополнениями?

Чтобы не задавать философские вопросы - ставьте по порядку. Тем, у кого нет предрассудков в части последовательных установок - ставьте в соответствии с требованиями Инструкции по установке.

Чтобы стало совсем понятней, когда у вас спрашивают версию Системы, некорректно говорить: Версия 15.6.03. Нужно говорить: Версия 15.6 с установленными Дополнениями 15.6.02, 15.6.03.

Объекты Дополнения в большинстве своем пересекаются с объектами предыдущих Дополнений, поэтому и получается, что нужно ставить Дополнения подряд, но это не обязательно, если Дополнения независимы, о чем будет указано в требованиях инструкции по установке.
timochev
Эксперт
Констанс-Банк
Совладелец


Вступление в Клуб: 02.07.2007
СообщениеСр Фев 24, 2016 09:16    Ответить с цитатой
Полезность: Нет оценки
Всегда ставил допы по порядку, поэтому не обращал внимания, что в Инструкции по установке может быть требование о нескольких установленных дополнениях. Вот нашел в дополнении 15.6.08:
Цитата:
Внимание! Этот пакет обновлений можно устанавливать
только на версию:
....
- прикладной части - 15.6 с установленными Дополнениями 15.6.01 и 15.6.07

Теперь понятно. После установки дополнений 15.6.02-15.6.07 перед установкой 15.6.08, потребуется предварительно установить 15.6.01.
Vovidez
Профи
<Центр Финансовых Технологий>


Вступление в Клуб: 27.09.2007
СообщениеСр Фев 24, 2016 11:58    Ответить с цитатой
Полезность: Нет оценки
timochev пишет:
Теперь понятно. После установки дополнений 15.6.02-15.6.07 перед установкой 15.6.08, потребуется предварительно установить 15.6.01.


Да, все верно, т.к. тут возникает техническая зависимость между Дополнениями - один и тот же объект есть в 15.6.01 и в 15.6.08, поэтому установив 15.6.01 поверх 15.6.08 вы потеряете то, что было в 15.6.08, поэтому в 15.6.08 есть требование предварительной установки 15.6.01.

Чтобы не заморачиваться - ставьте подряд, т.к. почти всегда есть пересечения по объектам и каждое последующее Дополнение зависит от предыдущего, но бывают и исключения.

Если вы посмотрите Дополнения РБО, то там они, наоборот, практически все независимые друг от друга и их можно ставить в произвольном порядке, если иное не обозначено в инструкции по установке.
Показать сообщения:   
Ответить на тему    Клуб специалистов ЦФТ-Банк (IBSO) -> Обновления и тестирование Часовой пояс: GMT + 3
На страницу Пред.  1, 2, 3, 4, 5
Страница 5 из 5

 
Перейти:  
Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете голосовать в опросах
Рейтинг@Mail.ru